DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
FGCTPosition Class Reference

Class representing the "CT Position" Functional Group Macro. More...

Inheritance diagram for FGCTPosition:

## Public Member Functions
| FGCTPosition ()
| Constructor, creates empty functional group.
virtual | ~FGCTPosition ()
| Virtual destructor.
virtual FGBase * | clone () const
| Returns a deep copy of this object. More...
virtual DcmFGTypes::E_FGSharedType | getSharedType () const
| Returns shared functional group type. More...
virtual void | clearData ()
| Clear all data.
virtual OFCondition | check () const
| Check whether the current content of this group is consistent and complete. More...
virtual OFCondition | read (DcmItem &item)
| Read CT Position Sequence from given item. More...
virtual OFCondition | write (DcmItem &item)
| Writes the content of this class into CT Position Sequence (newly created) into given item. More...
virtual int | compare (const FGBase &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value! Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. More...
virtual OFCondition | getTablePosition (OFString &value, const signed long pos=0)
| Get Table Speed. More...
virtual OFCondition | getTablePosition (Float64 &value, const unsigned long pos=0)
| Get Table Speed. More...
virtual OFCondition | getDataCollectionCenterPatient (OFString &value, const signed long pos=0)
| Get Data Collection Center (Patient) More...
virtual OFCondition | getDataCollectionCenterPatient (OFVector< Float64 > &values)
| Get Data Collection Center (Patient) More...
virtual OFCondition | getReconstructionTargetCenterPatient (OFString &value, const signed long pos=0)
| Get Reconstruction Target Center (Patient) More...
virtual OFCondition | getReconstructionTargetCenterPatient (OFVector< Float64 > &values)
| Get Reconstruction Target Center (Patient) More...
virtual OFCondition | setTablePosition (const Float64 value, const OFBool checkValue=OFTrue)
| Set Table Position. More...
virtual OFCondition | setDataCollectionCenterPatient (const OFVector< Float64 > &values, const OFBool checkValue=OFTrue)
| Set Data Collection Center (Patient) More...
virtual OFCondition | setReconstructionTargetCenterPatient (const OFVector< Float64 > &values, const OFBool checkValue=OFTrue)
| Set Reconstruction Target Center (Patient) More...
Public Member Functions inherited from FGBase
| FGBase (const DcmFGTypes::E_FGType fgType)
| Constructor, creates new functional group of given type. More...
virtual DcmFGTypes::E_FGType | getType () const
| Return the type of this functional group. More...
virtual | ~FGBase ()
| Virtual destructor.

## Private Attributes
DcmFloatingPointDouble | m_TablePosition
| Table Position (FD, VM 1, Required type 1C)
DcmFloatingPointDouble | m_DataCollectionCenterPatient
| Data Collection Center (Patient) (FD, 3, 1C)
DcmFloatingPointDouble | m_ReconstructionTargetCenterPatient
| Reconstruction Target Center (Patient) (FD, 3, 1C)

## Additional Inherited Members
Protected Member Functions inherited from FGBase
virtual OFCondition | getItemFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, const unsigned long itemNum, DcmItem *&result)
| Get the item containing the payload of a functional group sequence, identified by the functional group's sequence key provided and the desired item number. More...
virtual OFCondition | getNumItemsFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, unsigned long &result)
| Get number of items in a functional group sequence, identified by the functional group's sequence key. More...
virtual OFCondition | createNewFGSequence (DcmItem &destination, const DcmTagKey &seqKey, const unsigned long numItems, DcmItem *&firstItem)
| Create functional group sequence specified by given sequence tag key. More...

## Detailed Description

Class representing the "CT Position" Functional Group Macro.

## Member Function Documentation

## ◆ check()

virtual OFCondition FGCTPosition::check | ( |  | ) | const
| virtual

Check whether the current content of this group is consistent and complete.

Returns
  EC_Normal, if no errors are found, error otherwise

Implements FGBase.

## ◆ clone()

virtual FGBase* FGCTPosition::clone | ( |  | ) | const
| virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

Implements FGBase.

## ◆ compare()

virtual int FGCTPosition::compare | ( | const FGBase & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value! Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable.

This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

Implements FGBase.

## ◆ getDataCollectionCenterPatient() [1/2]

virtual OFCondition FGCTPosition::getDataCollectionCenterPatient | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Data Collection Center (Patient)

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getDataCollectionCenterPatient() [2/2]

virtual OFCondition FGCTPosition::getDataCollectionCenterPatient | ( | OFVector< Float64 > & | values | ) |
| virtual

Get Data Collection Center (Patient)

Parameters

  values | Reference to variable that should hold the result

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getReconstructionTargetCenterPatient() [1/2]

virtual OFCondition FGCTPosition::getReconstructionTargetCenterPatient | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Reconstruction Target Center (Patient)

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getReconstructionTargetCenterPatient() [2/2]

virtual OFCondition FGCTPosition::getReconstructionTargetCenterPatient | ( | OFVector< Float64 > & | values | ) |
| virtual

Get Reconstruction Target Center (Patient)

Parameters

  values | Reference to variable that should hold the result

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getSharedType()

virtual DcmFGTypes::E_FGSharedType FGCTPosition::getSharedType | ( |  | ) | const
| inline virtual

Returns shared functional group type.

Returns
  The functional group type (DcmFGTypes::EFGS_BOTH)

Implements FGBase.

References DcmFGTypes::EFGS_BOTH.

## ◆ getTablePosition() [1/2]

virtual OFCondition FGCTPosition::getTablePosition | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  |
| virtual

Get Table Speed.

Parameters

  value | Reference to variable that should hold the result
  pos | Position of the value inside the DICOM element. If 0, the first value is returned. If the no value at the given position exists, an error is returned.

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getTablePosition() [2/2]

virtual OFCondition FGCTPosition::getTablePosition | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Table Speed.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ read()

virtual OFCondition FGCTPosition::read | ( | DcmItem & | item | ) |
| virtual

Read CT Position Sequence from given item.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

Implements FGBase.

## ◆ setDataCollectionCenterPatient()

virtual OFCondition FGCTPosition::setDataCollectionCenterPatient | ( | const OFVector< Float64 > & | values,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Data Collection Center (Patient)

Parameters

  values | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setReconstructionTargetCenterPatient()

virtual OFCondition FGCTPosition::setReconstructionTargetCenterPatient | ( | const OFVector< Float64 > & | values,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Reconstruction Target Center (Patient)

Parameters

  values | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setTablePosition()

virtual OFCondition FGCTPosition::setTablePosition | ( | const Float64 | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Table Position.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ write()

virtual OFCondition FGCTPosition::write | ( | DcmItem & | item | ) |
| virtual

Writes the content of this class into CT Position Sequence (newly created) into given item.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Implements FGBase.

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgctposition.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1